complexType "DailyInterestCalculation"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 9 elements
Defined: | globally in fpml-collateral-processes-5-5.xsd; see XML source
Includes: | definitions of 9 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | calculationDate?, ((openingPrincipalAmount?, principalMovement?)?, effectivePrincipalAmount?)?, (, (observedRate?, spread?)?, effectiveRate?)?, accruedInterestAmount?, cumulativeInterestAmount?
</...>

Content Model Elements (9):

  accruedInterestAmount, calculationDate (in dailyInterestCalculation), cumulativeInterestAmount, effectivePrincipalAmount, effectiveRate, | observedRate (in dailyInterestCalculation), openingPrincipalAmount, principalMovement, spread (in dailyInterestCalculation)

All Direct / Indirect Based Elements (1):

  dailyInterestCalculation

Known Usage Locations

- As direct type of elements (1):
  dailyInterestCalculation

XML Source (see within schema source)

<xsd:complexType name="DailyInterestCalculation"> <xsd:sequence> <xsd:element minOccurs="0" name="calculationDate" type="xsd:date"/> <xsd:sequence minOccurs="0"> <xsd:sequence minOccurs="0"> <xsd:sequence> <xsd:element minOccurs="0" name="openingPrincipalAmount" type="NonNegativeDecimal"/> <xsd:element minOccurs="0" name="principalMovement" type="PrincipalMovement"/> </xsd:sequence> </xsd:sequence> <xsd:element minOccurs="0" name="effectivePrincipalAmount" type="NonNegativeDecimal"/> </xsd:sequence> <xsd:sequence minOccurs="0"> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="observedRate" type="PositiveDecimal"/> <xsd:element minOccurs="0" name="spread" type="xsd:decimal"/> </xsd:sequence> <xsd:element minOccurs="0" name="effectiveRate" type="PositiveDecimal"/> </xsd:sequence> <xsd:element minOccurs="0" name="accruedInterestAmount" type="NonNegativeDecimal"/> <xsd:element minOccurs="0" name="cumulativeInterestAmount" type="NonNegativeDecimal"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 9/9)
accruedInterestAmount

  Type: | NonNegativeDecimal, simple content

  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="accruedInterestAmount" type="NonNegativeDecimal"/>

calculationDate

  Type: | xsd:date, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="calculationDate" type="xsd:date"/>

cumulativeInterestAmount

  Type: | NonNegativeDecimal, simple content

  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="cumulativeInterestAmount" type="NonNegativeDecimal"/>

effectivePrincipalAmount

  Type: | NonNegativeDecimal, simple content

  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="effectivePrincipalAmount" type="NonNegativeDecimal"/>

effectiveRate

  Type: | PositiveDecimal, simple content

  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="effectiveRate" type="PositiveDecimal"/>

observedRate

  Type: | PositiveDecimal, simple content

  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="observedRate" type="PositiveDecimal"/>

openingPrincipalAmount

  Type: | NonNegativeDecimal, simple content

  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="openingPrincipalAmount" type="NonNegativeDecimal"/>

principalMovement

  Type: | PrincipalMovement, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="principalMovement" type="PrincipalMovement"/>

spread

  Type: | xsd:decimal, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="spread" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.